import imp
from django.urls import include,path
from rest_framework import routers

from .views import *
router = routers.DefaultRouter()
router.register(r'users',UserViewSet)
router.register(r'projects',ProjectViewSet)
router.register(r'access',AccessViewSet)
#router.register(r'isAuthenticated',checkAuthViewSet)

urlpatterns = [
    path('',include(router.urls)),
    path('isAuthenticated/',checkAuthViewSet.as_view()),
    path('authenticate/',authenticateViewSet.as_view()),
    path('register/',registerViewSet.as_view()),
    path('getRepos/',getReposViewSet.as_view()),
    path('api-auth/',include('rest_framework.urls'))
]
